Subject: Re: bug#66635: 30.0.50; customize-icon State button doesn't work (never did)

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Oct 2023 10:35:09 +0300

> Date: Fri, 20 Oct 2023 21:21:34 -0300
> From: Mauro Aranda <[email-masked]>
> 
> On 20/10/23 18:08, Stefan Kangas wrote:
>  > Mauro Aranda <[email-masked]> writes:
>  >
>  >> I attach a patch to address the more important issues for now.  That is,
>  >> at least have a working State button and rudimentary state checking.
>  >>
>  >> Setting and Saving icon specifications through the State button should
>  >> work now, by adding the custom-icon-action function.
>  >
>  >
>  > Thanks for working on this.
>  >
>  > Do you propose this patch for emacs-29?  It seems quite intrusive on the
>  > face of it, but OTOH `customize-icon' is new in Emacs 29, so there is no
>  > risk of regressions if this stuff never worked in the first place.  Or
>  > is that wrong?
> 
> I'm not aware of all things you and Eli have to take into account when
> deciding whether a patch is good for emacs-29.  I know the non-intrusive
> or localized, and the safe part.  This patch is certainly neither, but
> it's the minimum (OK, maybe not the bare minimum) to make customizing
> icons work for an user.  I think that's a good reason for the patch to
> go into emacs-29, but I won't be insisting on it, specially if it is a
> burden, considering 29.1.90 pretest is out.

icons.el is a new package in Emacs 29, so maybe such changes in it to
fix a serious problem are okay even at this stage.

How well is the fix tested?  Did you test it with several icons
introduced in Emacs 29 in various modes?  If not, would you please
test those and see the changes work well enough there to be
appropriate for a bug-fix release?

Thanks.